### R code from vignette source 'zipfr-tutorial.Rnw'
### Encoding: UTF-8

###################################################
### code chunk number 1: zipfr-tutorial.Rnw:50-51
###################################################
options(useFancyQuotes=FALSE)


###################################################
### code chunk number 2: zipfr-tutorial.Rnw:82-83 (eval = FALSE)
###################################################
## install.packages("zipfR")


###################################################
### code chunk number 3: zipfr-tutorial.Rnw:95-96
###################################################
library(zipfR)


###################################################
### code chunk number 4: zipfr-tutorial.Rnw:100-101 (eval = FALSE)
###################################################
## ?zipfR


###################################################
### code chunk number 5: zipfr-tutorial.Rnw:148-149
###################################################
ItaRi.spc


###################################################
### code chunk number 6: zipfr-tutorial.Rnw:173-174
###################################################
summary(ItaRi.spc)


###################################################
### code chunk number 7: zipfr-tutorial.Rnw:182-184
###################################################
N(ItaRi.spc)
V(ItaRi.spc)


###################################################
### code chunk number 8: zipfr-tutorial.Rnw:195-197
###################################################
Vm(ItaRi.spc, 1)
Vm(ItaRi.spc, 1:5)


###################################################
### code chunk number 9: zipfr-tutorial.Rnw:205-206
###################################################
Vm(ItaRi.spc, 1) / N(ItaRi.spc)


###################################################
### code chunk number 10: zipfr-tutorial.Rnw:213-215 (eval = FALSE)
###################################################
## plot(ItaRi.spc)
## plot(ItaRi.spc, log="x")


###################################################
### code chunk number 11: zipfr-tutorial.Rnw:220-221
###################################################
plot(ItaRi.spc)


###################################################
### code chunk number 12: zipfr-tutorial.Rnw:224-225
###################################################
plot(ItaRi.spc, log="x")


###################################################
### code chunk number 13: zipfr-tutorial.Rnw:241-242
###################################################
with(ItaRi.spc, plot(m, Vm, main="Frequency Spectrum"))


###################################################
### code chunk number 14: zipfr-tutorial.Rnw:311-312
###################################################
head(ItaRi.emp.vgc)


###################################################
### code chunk number 15: zipfr-tutorial.Rnw:326-327
###################################################
ItaRi.emp.vgc


###################################################
### code chunk number 16: zipfr-tutorial.Rnw:331-332
###################################################
summary(ItaRi.emp.vgc)


###################################################
### code chunk number 17: zipfr-tutorial.Rnw:341-342
###################################################
plot(ItaRi.emp.vgc, add.m=1)


###################################################
### code chunk number 18: zipfr-tutorial.Rnw:371-373
###################################################
ItaRi.bin.vgc <- vgc.interp(ItaRi.spc, N(ItaRi.emp.vgc), m.max=1)
head(ItaRi.bin.vgc)


###################################################
### code chunk number 19: zipfr-tutorial.Rnw:397-399
###################################################
plot(ItaRi.emp.vgc, ItaRi.bin.vgc, 
     legend=c("observed", "interpolated"))


###################################################
### code chunk number 20: zipfr-tutorial.Rnw:430-432
###################################################
V(ItaRi.emp.vgc)[N(ItaRi.emp.vgc) == 50000]
V(ItaRi.spc)


###################################################
### code chunk number 21: zipfr-tutorial.Rnw:480-481
###################################################
ItaRi.fzm <- lnre("fzm", ItaRi.spc, exact=FALSE)


###################################################
### code chunk number 22: zipfr-tutorial.Rnw:496-497
###################################################
summary(ItaRi.fzm)


###################################################
### code chunk number 23: zipfr-tutorial.Rnw:515-516
###################################################
ItaRi.fzm.spc <- lnre.spc(ItaRi.fzm, N(ItaRi.fzm))


###################################################
### code chunk number 24: zipfr-tutorial.Rnw:521-522
###################################################
plot(ItaRi.spc, ItaRi.fzm.spc, legend=c("observed", "fZM"))


###################################################
### code chunk number 25: zipfr-tutorial.Rnw:533-534
###################################################
ItaRi.fzm.vgc <- lnre.vgc(ItaRi.fzm, (1:100) * 28e3)


###################################################
### code chunk number 26: zipfr-tutorial.Rnw:551-553
###################################################
plot(ItaRi.emp.vgc, ItaRi.fzm.vgc, N0=N(ItaRi.fzm), 
     legend=c("observed", "fZM"))


###################################################
### code chunk number 27: zipfr-tutorial.Rnw:614-616
###################################################
set.seed(42)
ItaRi.sub.spc <- sample.spc(ItaRi.spc, N=700000)


###################################################
### code chunk number 28: zipfr-tutorial.Rnw:623-625
###################################################
ItaRi.sub.fzm <- lnre("fzm", ItaRi.sub.spc, exact=FALSE)
ItaRi.sub.fzm


###################################################
### code chunk number 29: zipfr-tutorial.Rnw:635-636
###################################################
ItaRi.sub.fzm.vgc <- lnre.vgc(ItaRi.sub.fzm, N=N(ItaRi.emp.vgc))


###################################################
### code chunk number 30: zipfr-tutorial.Rnw:646-648
###################################################
  plot(ItaRi.bin.vgc, ItaRi.sub.fzm.vgc, N0=N(ItaRi.sub.fzm),
       legend=c("interpolated", "fZM"))


###################################################
### code chunk number 31: zipfr-tutorial.Rnw:687-689
###################################################
V(ItaUltra.spc)
V(ItaRi.spc)


###################################################
### code chunk number 32: zipfr-tutorial.Rnw:695-697
###################################################
N(ItaUltra.spc)
N(ItaRi.spc)


###################################################
### code chunk number 33: zipfr-tutorial.Rnw:704-706
###################################################
ItaUltra.fzm <- lnre("fzm", ItaUltra.spc, exact=FALSE)
ItaUltra.ext.vgc <- lnre.vgc(ItaUltra.fzm, N(ItaRi.emp.vgc))


###################################################
### code chunk number 34: zipfr-tutorial.Rnw:711-712
###################################################
plot(ItaUltra.ext.vgc, ItaRi.bin.vgc, legend=c("ultra-", "ri-"))


###################################################
### code chunk number 35: zipfr-tutorial.Rnw:726-727 (eval = FALSE)
###################################################
## data(package="zipfR")


###################################################
### code chunk number 36: zipfr-tutorial.Rnw:731-732 (eval = FALSE)
###################################################
## ?ItaRi.spc


###################################################
### code chunk number 37: zipfr-tutorial.Rnw:789-790
###################################################
V(Brown100k.spc)


###################################################
### code chunk number 38: zipfr-tutorial.Rnw:799-801
###################################################
Vseen <- V(Brown100k.spc) - Vm(Brown100k.spc, 1)
Vseen


###################################################
### code chunk number 39: zipfr-tutorial.Rnw:807-808
###################################################
Vseen / V(Brown100k.spc)


###################################################
### code chunk number 40: zipfr-tutorial.Rnw:814-815
###################################################
Vm(Brown100k.spc, 1) / N(Brown100k.spc)


###################################################
### code chunk number 41: zipfr-tutorial.Rnw:845-847
###################################################
Brown100k.zm <- lnre("zm", Brown100k.spc)
Brown100k.zm


###################################################
### code chunk number 42: zipfr-tutorial.Rnw:864-865
###################################################
EV(Brown100k.zm, c(1e6, 10e6, 100e6))


###################################################
### code chunk number 43: zipfr-tutorial.Rnw:872-873
###################################################
Vseen / EV(Brown100k.zm, c(1e6, 10e6, 100e6))


###################################################
### code chunk number 44: zipfr-tutorial.Rnw:878-879
###################################################
1 - (Vseen / EV(Brown100k.zm, c(1e6, 10e6, 100e6)))


###################################################
### code chunk number 45: zipfr-tutorial.Rnw:887-889
###################################################
N(Brown.spc)
V(Brown.spc)


###################################################
### code chunk number 46: zipfr-tutorial.Rnw:893-894
###################################################
EV(Brown100k.zm, N(Brown.spc)) 


###################################################
### code chunk number 47: zipfr-tutorial.Rnw:901-903
###################################################
1 - (Vseen / V(Brown.spc))
1 - (Vseen / EV(Brown100k.zm, N(Brown.spc)))


###################################################
### code chunk number 48: zipfr-tutorial.Rnw:929-930
###################################################
Brown.zm.spc <- lnre.spc(Brown100k.zm, N(Brown.spc))


###################################################
### code chunk number 49: zipfr-tutorial.Rnw:941-942
###################################################
EV(Brown100k.zm, N(Brown.spc)) - Vseen 


###################################################
### code chunk number 50: zipfr-tutorial.Rnw:948-950
###################################################
sum(Vm(Brown.zm.spc, 1))
sum(Vm(Brown.zm.spc, 1:2))


###################################################
### code chunk number 51: zipfr-tutorial.Rnw:953-954
###################################################
sum(Vm(Brown.zm.spc, 1:6))


###################################################
### code chunk number 52: zipfr-tutorial.Rnw:963-965
###################################################
Noov.zm <- sum(Vm(Brown.zm.spc, 1:6) * (1:6))
Noov.zm


###################################################
### code chunk number 53: zipfr-tutorial.Rnw:969-970
###################################################
Noov.zm / N(Brown.spc)


###################################################
### code chunk number 54: zipfr-tutorial.Rnw:979-980
###################################################
V(Brown.spc) - Vseen


###################################################
### code chunk number 55: zipfr-tutorial.Rnw:985-986
###################################################
sum(Vm(Brown.spc, 1:13))


###################################################
### code chunk number 56: zipfr-tutorial.Rnw:991-994
###################################################
Noov.emp <- sum(Vm(Brown.spc, 1:13) * (1:13))
Noov.emp
Noov.emp / N(Brown.spc)


###################################################
### code chunk number 57: zipfr-tutorial.Rnw:1016-1017
###################################################
Brown10M.zm.spc <- lnre.spc(Brown100k.zm, 10e6)


###################################################
### code chunk number 58: zipfr-tutorial.Rnw:1028-1029
###################################################
sum(Vm(Brown10M.zm.spc, 1:18) * (1:18))


###################################################
### code chunk number 59: zipfr-tutorial.Rnw:1034-1035
###################################################
sum(Vm(Brown10M.zm.spc, 1:18))


###################################################
### code chunk number 60: zipfr-tutorial.Rnw:1041-1042
###################################################
 EV(Brown100k.zm, 10e6) - sum(Vm(Brown10M.zm.spc, 1:18))


